Subject: RE: [PATCH] [POWERPC] Xilinx: add compatibility for 'simple-bus'.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 01 Jul 2008 16:16:44 +1000

On Fri, 2008-06-06 at 09:16 -0700, Stephen Neuendorffer wrote:
> legacy_serial identifies a valid ns16550 on a simple-bus, but the
> legacy_serial driver doesn't understand the shift and offset flags
> necessary to get it to work, which results in no console.
> 
> I think the easiest solution is to change the Kconfig so that
> PPC_UDBG_16550 is only selected based on !XILINX_VIRTEX.  I've done this
> in my tree, but I've been swamped with other things at the moment, so I
> haven't verified it.
> 
> Or is legacy_serial just legacy at this point and can go away entirely?
> I got the impression from some of the earlier discussion that it wasn't
> preferred, at least....

No, legacy serial is useful. Just grow it an understanding of the shift
& offset bits :-)

Cheers,
Ben.